﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;

namespace wpf_Chart_668988
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            BarSeries barSeries = this.chart1.Series[0] as BarSeries;
            barSeries.CategoryBinding = new GenericDataPointBinding<TimelineChartPoint, string>() { ValueSelector = item => "The Category Here" };
            barSeries.ValueBinding = new GenericDataPointBinding<TimelineChartPoint, double>() { ValueSelector = item => item.Duration };
            barSeries.ItemsSource = new List<TimelineChartPoint>() 
            {
                new TimelineChartPoint { Stopped = true, Duration = 2 },
                new TimelineChartPoint { Stopped = false, Duration = 3 },
                new TimelineChartPoint { Stopped = true, Duration = 1 },
                new TimelineChartPoint { Stopped = false, Duration = 4 },
                new TimelineChartPoint { Stopped = true, Duration = 1 },
            };
        }
    }

    public class TimelineChartPoint
    {
        bool stopped;

        public bool Stopped
        {
            get { return stopped; }
            set { stopped = value; }
        }

        int duration; //seconds

        public int Duration
        {
            get { return duration; }
            set { duration = value; }
        }

        public Brush Brush { get { return new SolidColorBrush(this.stopped ? Colors.Red : Colors.White); } }
    }
}
